#!/bin/bash

# usamap_Ag_mm_source.sh - Sub script to work as a source for ".usamap_Ag_mm_blink_*".

mckinley_blink()
{
cat << EOF
------------------------------- Welcome to Master of States. Let's learn about the United States of America! ---------------------------------
${yellowb}${whitef}*  ${reset}${blueb}****${whitef}*${reset}${blueb}***${reset}   ${whitef}*     ${blueb}${blackf}*${whitef}*${reset}${blueb}******${reset}${yellowf}*${purpleb}${yellowf}${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJ${yellowf}KL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}2${reset}0
${blueb}*****${reset}  ${blueb}**${reset}                 ${blueb}**${reset} ${yellowb}                                                       ${blueb}******************${yellowb}                     ${blueb}*******************${reset}1
${blueb}******${reset}                    ${yellowb}  ${reset} ${yellowb}                                                      ${blueb}*******************${yellowb}                             ${blueb}***********${reset}2
${blueb}***${reset}                      ${yellowb}   ${reset} ${yellowb}                                                      ${blueb}*********************${yellowb}                                    ${blueb}**${reset}3
${blueb}**${reset}        ${redb}${mmredr}${yellowf}*${reset}             ${yellowb}    ${reset} ${yellowb}                                                       ${blueb}**********************${yellowb}                                 ${blueb}**${yellowb} ${reset}4
${blueb}${redf}*${reset}${blueb}**${redb} ${reset}   ${yellowf}* ${blueb}${blackf}*${reset}    ${yellowf}*      * ${yellowb}     ${reset}${yellowf}*${yellowb}${whitef}      *      *      *      *      *      *      *      *   ${reset}${blueb}***${whitef}*${reset}${blueb}******${whitef}*${reset}${blueb}******${redf}*${reset}${yellowb}${whitef}      *      *      *      *    ${reset}${blueb}**${redf}*${yellowb} ${reset}5
${blueb}****${reset}  ${blueb}***********${reset}     ${yellowb}      ${reset} ${yellowb}                                                                  ${blueb}********${yellowb}                              ${blueb}*********${reset}6
${blueb}***${reset} ${blueb}*****************${reset}  ${reset}${yellowb}     ${reset} ${yellowb}                                                                        ${blueb}***${yellowb}                           ${blueb}***${yellowb}   ${reset}${blueb}*****${reset}7
${blueb}**********************${reset}  ${yellowb}    ${reset} ${yellowb}                                                                                                      ${blueb}*${yellowb}          ${reset}8
                             ${yellowb}                                                                                                    ${bluef}_?  ${reset}     ${yellowb}    ${reset}9
${blueb}${redf}*${reset}${blueb}******${whitef}*${reset}${blueb}******${whitef}*${reset}${blueb}******${whitef}*${reset}${blueb}*${reset}     ${yellowf}*${reset} ${yellowb}${whitef}     *      *      *      *      *      *      *      *      *      *      *      *      *      *${bluef}_/${blackf}  ${reset}  ${yellowf}*${reset}      ${yellowf}*${reset}${blueb}*${reset}A
${blueb}********************${reset}   ${blueb}*${reset}                 ${yellowb}                                                   ${cyanb}******${reset}${yellowb}                         ${bluef}/${reset}               ${blueb}***${reset}B
${blueb}*********************${reset}    ${redb} ${reset}            ${bluef}___${reset}         ${bluef}_______${reset}   ${yellowb}                      ${reset}       ${cyanb}*****${reset} ${cyanb}****${reset}${yellowb}                    ${bluef}___/${reset}             ${blueb}******${reset}C
${blueb}********************${reset}                  ${bluef}\\  \\_______/${reset}       ${bluef}\\_____${reset}                   ${bluef}${resetb2}${redf2}-${bluef}${resetb3}${redf3}-${bluef}${resetb4}${redf4}-${bluef}${resetb5}${redf5}+${reset}              ${cyanb}********${yellowb}          ${bluef}/${reset}      ${reset}       ${blueb}**********${reset}D
${blueb}********************${reset}                  ${bluef}/${reset}                        ${bluef}\\${reset}                     ${bluef}${resetb1}${redf1}/${reset}            ${cyanb}**${reset}    ${cyanb}**${reset}${yellowb} ${cyanb}**${reset}${yellowb}    ${cyanb}*****${reset}              ${blueb}**********${reset}E
${blueb}${redf}*${reset}${blueb}******${whitef}*${reset}${blueb}******${whitef}*${reset}${blueb}****${reset}  ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}  ${bluef}\\_${reset}  ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}${bluef}\\${reset}     ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}${bluef}${resetb2}${redf2}\\${bluef}${resetb3}${redf3}_${bluef}${resetb4}${redf4}_${reset}   ${yellowf}*${reset}     ${cyanb}*${whitef}*${reset}    ${cyanb}*${reset} ${cyanb}${redf}*${reset}${yellowb}     ${cyanb}*${whitef}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}${blueb}******${whitef}*${reset}${blueb}******${redf}*${reset}${blueb}*${reset}F
${blueb}******************${reset}                                               ${bluef}|${reset}                      ${bluef}${resetb5}${redf5}\\${reset}        ${cyanb}***${reset}       ${yellowb} ${cyanb}****${reset}              ${blueb}*${reset}  ${blueb}*************${reset}G
${blueb}*****************${reset}                                                 ${bluef}\\_${reset}                     ${bluef}${resetb1}${redf1}\\${bluef}${resetb2}${redf2}_${reset}      ${cyanb}**${reset}        ${cyanb}**${reset}    ${bluef}_/${reset}           ${blueb}****************${reset}H
${blueb}*****************${reset}                                                   ${bluef}\\_____${reset}              ${bluef}${resetb3}${redf3}_${bluef}${resetb4}${redf4}_${bluef}${resetb5}${redf5}/${reset}                     ${bluef}/${reset}              ${blueb}***************${reset}I
${blueb}****************${reset}                                                          ${bluef}|${reset}            ${bluef}${resetb1}${redf1}/${reset}                      ${bluef}_/${reset}               ${blueb}***************${reset}J
${blueb}${redf}*${reset}${blueb}******${whitef}*${reset}${blueb}******${whitef}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${cyanb}**${reset}     ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}   ${bluef}|${reset}  ${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}${resetb2}${redf2}/${reset}    ${yellowf}*${reset}      ${yellowf}*${reset}     ${bluef}_${yellowf}*${reset}  ${bluef}_/${reset}  ${yellowf}*${reset}      ${yellowf}*${reset}   ${blueb}*${reset}  ${blueb}${whitef}*${reset}${blueb}******${whitef}*${reset}${blueb}******${redf}*${reset}${blueb}*${reset}K
${blueb}****************${reset}                                                           ${bluef}\\${reset}          ${bluef}${resetb3}${redf3}\\${reset}              ${bluef}__/ \\_/${reset}               ${blueb}*${reset}  ${blueb}****************${reset}L
${blueb}***************${reset}     ${cyanb}*${reset}                                                       ${bluef}\\____      ${bluef}${resetb4}${redf4}\\${bluef}${resetb5}${redf5}_${reset}     ${bluef}______/${reset}                      ${blueb}**${reset} ${blueb}****************${reset}M
${blueb}***************${reset}                           ${bluef}_/   ${redb} ${reset}   ${redb} ${reset} ${bluef}\\__                         ${bluef}\\------?${bluef}${resetb1}${redf1}\\${reset}   ${bluef}/${reset}                              ${blueb}******************${reset}N
${blueb}****************${reset}                       ${bluef}__/${reset}       ${redb} ${reset} ${bluef}\\${reset}    ${bluef}\------------------+${reset}              ${bluef}${resetb2}${redf2}|${bluef}?+${reset}                                 ${blueb}****************${reset}O
${blueb}${redf}*${reset}${blueb}******${whitef}*${reset}${blueb}******${whitef}*${reset}${blueb}*${reset}   ${redb} ${reset} ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}_/   ${reset}${yellowf}*${reset}      ${yellowf}*${reset} ${bluef}/    ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}     ${bluef}\\${reset}${yellowf}*${reset}      ${yellowf}*${reset}     ${bluef}${resetb3}${redf3}\\${reset}${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}  ${redb} ${reset}   ${yellowf}*${reset}      ${yellowf}*${reset}     ${blueb}*${whitef}*${reset}${blueb}******${whitef}*${reset}${blueb}******${redf}*${reset}${blueb}*${reset}P
${blueb}*****************${reset}            ${cyanb}*${reset}${bluef}__${reset}  ${bluef}+-/${reset}             ${bluef}/${reset}                          ${bluef}\\-------+   ${bluef}${resetb5}${redf5}_${bluef}${resetb4}${redf4}/${reset}                                ${blueb}*******************${reset}Q
${blueb}*****************${reset}             ${bluef}| \\_|${reset}              ${bluef}/${reset}                                    ${bluef}\\ ${bluef}${resetb1}${redf1}| ${reset}                               ${blueb}*********************${reset}R
                ${blueb}***${reset}           ${bluef}|${reset}                 ${bluef}|${reset}                                      ${bluef}?${bluef}${resetb2}${redf2}/${reset}                              ${blueb}***********************${reset}S
${reset} ${blueb}**************${reset} ${blueb}******${reset}        ${bluef}|${reset}                 ${bluef}|${reset}                                      ${bluef}${resetb3}${redf3}/${reset}                             ${blueb}*************************${reset}T
${blueb}${redf}*${reset}${blueb}******${blueb}${whitef}*${reset}${blueb}******${whitef}*${reset}${reset} ${blueb}*****${whitef}*${reset}${blueb}*${reset}${yellowb}     ${whitef}* ${bluef}?   ${reset} ${yellowf}*${reset}      ${yellowf}*${reset}     ${bluef}|${reset}${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}  ${bluef}${resetb4}${redf4}\\${reset}   ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}      ${yellowf}*${reset}  ${blueb}****${whitef}*${reset}${blueb}******${whitef}*${reset}${blueb}******${whitef}*${reset}${blueb}******${redf}*${reset}${blueb}*${reset}U
${blueb}*****${reset} ${blueb}*********${reset} ${blueb}*********${yellowb}     ${blueb}***${yellowb}               ${reset}${bluef}|___${reset}    ${bluef}+-+${reset}                            ${bluef}${resetb5}${redf5}/${bluef}${resetb1}${redf1}_${reset}                        ${blueb}*****************************${reset}V
${blueb}*******${reset} ${blueb}***${reset} ${blueb}***${reset} ${blueb}************${yellowb}   ${blueb}***${yellowb}                  ${reset}${bluef}\\__/${reset}${yellowb}   ${reset}${bluef}\\-+${reset}                           ${bluef}${resetb2}${redf2}?${reset}   ${blueb}***************${reset}    ${blueb}******************************${reset}W
${blueb}*********${reset} ${blueb}*****${reset} ${blueb}**************${yellowb}   ${blueb}****${yellowb}                         ${reset}${bluef}\\-+${reset}            ${blueb}*************${reset} ${blueb}*****************${reset}      ${blueb}****************************${reset}X
${blueb}*************${reset}   ${blueb}*************${yellowb}       ${blueb}***${yellowb}                          ${reset}${bluef}\\-----?${reset}${blueb}**************************************${reset}      ${reset}${blueb}**************************${reset}Y
${purpleb}${redf}1${yellowf}234567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${yellowf}${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${yellowb}${whitef}8${cyanf}9ABCDE${whitef}F${cyanf}GHIJ${cyanf}KL${whitef}M${cyanf}NOPQRS${whitef}T${cyanf}UVWXY${reset}    ${blueb}${yellowf}4567${whitef}8${yellowf}9ABCDE${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWXYZ${redf}1${yellowf}234567${whitef}8${reset}   ${purpleb}${yellowf}CDE${purpleb}${yellowf}${whitef}F${yellowf}GHIJKL${whitef}M${yellowf}NOPQRS${whitef}T${yellowf}UVWX${reset}  ${purpleb}${redf}1${yellowf}2${reset}Z
EOF
}
